<p>
    <img src="https://github.com/GeostatsGuy/GeostatsPy/blob/master/TCG_color_logo.png" width="220" height="200" />
</p>

# ExcelNumericalDemos
A set of numerical demonstrations in Excel to assist with teaching / learning concepts in statistics and geostatistics.

<p align="center">
If you can't explain it simply, you don't understand it well enough - Alberta Einstein
</p>

To me 'coding up' or 'building out' a method or workflow in Excel without VBA is the ultimate case of explaining it simply! So while I do code in FORTRAN, C++ (20 years experience), VBA, R and Python, I challenge myselt to put methods and workflows in Excel to provide hands-on experiential learning that reaches more students. Why do I feel this way?

* _Assessibility_ - in STEM everyone has access to Excel. This is even more true with the online applications Microsoft now provides and the vast majority of scientists and engineers know the basics of working with Excel
* _Interpretability_ - one can easily interogate a method or workflow in Excel, just click on the cell to see the equation
* _Set Up_ - there is no set up needed to get students started with these demonstrations

I teach in a lot of places and I teach a lot of things. I adjust to get the job done.  Now, if you are convinced that I'm old fashion, check out my:

*  [R workflow repository](https://github.com/GeostatsGuy/geostatsr)
*  [Python workflow repository](https://github.com/GeostatsGuy/PythonNumericalDemos)
*  [GeostatsPy package](https://github.com/GeostatsGuy/GeostatsPy)

#### The Author:

### Michael Pyrcz, Associate Professor, University of Texas at Austin 
*Novel Data Analytics, Geostatistics and Machine Learning Subsurface Solutions*

With over 17 years of experience in subsurface consulting, research and development, Michael has returned to academia driven by his passion for teaching and enthusiasm for enhancing engineers' and geoscientists' impact in subsurface resource development. 

For more about Michael check out these links:

#### [Twitter](https://twitter.com/geostatsguy) | [GitHub](https://github.com/GeostatsGuy) | [Website](http://michaelpyrcz.com) | [GoogleScholar](https://scholar.google.com/citations?user=QVZ20eQAAAAJ&hl=en&oi=ao) | [Book](https://www.amazon.com/Geostatistical-Reservoir-Modeling-Michael-Pyrcz/dp/0199731446) | [YouTube](https://www.youtube.com/channel/UCLqEr-xV-ceHdXXXrTId5ig)  | [LinkedIn](https://www.linkedin.com/in/michael-pyrcz-61a648a1)

#### Want to Work Together?

I hope that this is helpful to those that want to learn more about subsurface modeling, data analytics and machine learning. Students and working professionals are welcome to participate.

* Want to invite me to visit your company for training, mentoring, project review, workflow design and consulting, I'd be happy to drop by and work with you! 

* Interested in partnering, supporting my graduate student research or my Subsurface Data Analytics and Machine Learning consortium (co-PIs including Profs. Foster, Torres-Verdin and van Oort)? My research combines data analytics, stochastic modeling and machine learning theory with practice to develop novel methods and workflows to add value. We are solving challenging subsurface problems!

* I can be reached at mpyrcz@austin.utexas.edu.

I'm always happy to discuss,

*Michael*

Michael Pyrcz, Ph.D., P.Eng. Associate Professor The Hildebrand Department of Petroleum and Geosystems Engineering, Bureau of Economic Geology, The Jackson School of Geosciences, The University of Texas at Austin

#### More Resources Available at: [Twitter](https://twitter.com/geostatsguy) | [GitHub](https://github.com/GeostatsGuy) | [Website](http://michaelpyrcz.com) | [GoogleScholar](https://scholar.google.com/citations?user=QVZ20eQAAAAJ&hl=en&oi=ao) | [Book](https://www.amazon.com/Geostatistical-Reservoir-Modeling-Michael-Pyrcz/dp/0199731446) | [YouTube](https://www.youtube.com/channel/UCLqEr-xV-ceHdXXXrTId5ig)  | [LinkedIn](https://www.linkedin.com/in/michael-pyrcz-61a648a1)
